On-screen text disappears after suspend

Bug #1573959 reported by Gregory Gauthier on 2016-04-23
762
This bug affects 187 people
Affects Status Importance Assigned to Milestone
linux-lts-xenial (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

After resuming from a suspend, almost all text on screen is not visible. This includes menu items, text in all three boxes (list of folders, list of e-mails, e-mail body) in Thunderbird (with the curious exception of "ffl" in the File menu), top menu in Chromium (but not the menu obtained by pressing the hamburger button), and the menus produced by clicking items in the system tray. Also, the apport dialog had no text except for a few capital letters.

WORKAROUND / 'FIX' (added on March 9, 2017)
Several people have mentioned upgrading to kernel 4.8 or higher solves the issue. As per #81, you can easily install kernel 4.8 (if you're on Ubuntu 16.04, that is) by running

sudo apt install linux-generic-hwe-16.04

If you are still experiencing this issue after upgrading to kernel 4.8, please share your system details in the comments.

ADDITIONAL INFORMATION:
* initctl restart unity-panel-service restarts the panel, but the text is still missing
* suspend and resume does not fix the issue
* Logging out fixes the issue
* Other affected applications:
** Chromium file select dialog
** Terminal (entire window)
** ttys 1-6 (Ctrl+Alt+F1, etc.)
** Document viewer (menus)
** Software Updater
** Rhythmbox
** The dialog that appears when you take a screenshot with Ctrl+Alt+PrtSc
** ubuntu-bug
** Nautilus
** LibreOffice Calc (spreadsheet text contents)
** Firefox
* Unity dash is not affected.
* Skype is not affected.
* Mousing over a button in a dialog correctly shows the text.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: unity 7.4.0+16.04.20160415-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
BootLog:

CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,gnomecompat,imgpng,place,move,resize,vpswitch,snap,regex,grid,mousepoll,unitymtgrabhandles,animation,session,wall,workarounds,expo,fade,ezoom,scale,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Sat Apr 23 12:04:57 2016
DistUpgraded: 2016-04-22 09:22:44,147 DEBUG icon theme changed, re-reading
DistroCodename: xenial
DistroVariant: ubuntu
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: COMPAL Electronics Inc Haswell-ULT Integrated Graphics Controller [14c0:0075]
InstallationDate: Installed on 2015-01-21 (457 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Compal VAW70
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-21-generic root=UUID=8f4bd759-42d2-4828-8470-2aaf6fcb75ff ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to xenial on 2016-04-22 (1 days ago)
dmi.bios.date: 07/31/2013
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.01T01
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: Type2 - Board Product Name1
dmi.board.vendor: Compal
dmi.board.version: V1.01T01
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.01T01:bd07/31/2013:svnCompal:pnVAW70:pvrV1.01T01:rvnCompal:rnType2-BoardProductName1:rvrV1.01T01:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: VAW70
dmi.product.version: V1.01T01
dmi.sys.vendor: Compal
upstart.unity-panel-service-lockscreen.log:
 (unity-panel-service:14416): GLib-CRITICAL **: Source ID 4294967295 was not found when attempting to remove it

 (unity-panel-service:26413): GLib-CRITICAL **: Source ID 4294967295 was not found when attempting to remove it
version.compiz: compiz 1:0.9.12.2+16.04.20160415-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Fri Apr 22 09:26:06 2016
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 1479
 vendor BOE
xserver.version: 2:1.18.3-1ubuntu2

Things I've tried that do not work:
* initctl restart unity-panel-service restarts the panel, but the text is still missing
* suspend and resume does not fix the issue
Also, I have one example screenshot. However, the issue also affects the file selection dialog in Chromium, so I can't upload it now.

This also affects the menus in Document Viewer, as well as the entire screen of a terminal window. Unity button & scopes are unaffected. Also, all six of the tty terminals appear to be blank.

description: updated
description: updated
Andrea Azzarone (azzar1) on 2016-04-25
no longer affects: unity (Ubuntu)
description: updated

The bug occurred again following a resume. Additional information about the applications affected has been added to the description.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed

Workaround:

Set the COGL_ATLAS_DEFAULT_BLIT_MODE env var to a value other than "texture-render", which is the default.

Appears to be this bug: https://bugs.freedesktop.org/show_bug.cgi?id=88584

See comment 17 for technical details; the details he lists are consistent with what I played around with.. disabling 2D acceleration eliminates the bug but obviously that is not desirable.

Ibrahim Awwal (ibrahim-awwal) wrote :

I tried setting COGL_ATLAS_DEFAULT_BLIT_MODE to framebuffer and performance seems to become poorer and I start having glitches when changing workspaces (in Awesome window manager). Not sure if that's a satisfactory workaround.

Interestingly there are reports for similar issues dating back to 14.04 but I never had this problem until now with 16.04.

Download full text (5.7 KiB)

Update: my current workaround is now to remove xserver-xorg-video-intel,
and instead use the built in modesetting driver. So far, I've had no
issues, and acceleration works fine.
On May 4, 2016 05:15, "Ibrahim Awwal" <email address hidden> wrote:

> I tried setting COGL_ATLAS_DEFAULT_BLIT_MODE to framebuffer and
> performance seems to become poorer and I start having glitches when
> changing workspaces (in Awesome window manager). Not sure if that's a
> satisfactory workaround.
>
> Interestingly there are reports for similar issues dating back to 14.04
> but I never had this problem until now with 16.04.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1573959
>
> Title:
> On-screen text disappears after suspend
>
> Status in xserver-xorg-video-intel package in Ubuntu:
> Confirmed
>
> Bug description:
> After resuming from a suspend, almost all text on screen is not
> visible. This includes menu items, text in all three boxes (list of
> folders, list of e-mails, e-mail body) in Thunderbird (with the
> curious exception of "ffl" in the File menu), top menu in Chromium
> (but not the menu obtained by pressing the hamburger button), and the
> menus produced by clicking items in the system tray. Also, the apport
> dialog had no text except for a few capital letters.
>
> ADDITIONAL INFORMATION:
> * initctl restart unity-panel-service restarts the panel, but the text
> is still missing
> * suspend and resume does not fix the issue
> * Logging out fixes the issue
> * Other affected applications:
> ** Chromium file select dialog
> ** Terminal (entire window)
> ** ttys 1-6 (Ctrl+Alt+F1, etc.)
> ** Document viewer (menus)
> ** Software Updater
> ** Rhythmbox
> ** The dialog that appears when you take a screenshot with Ctrl+Alt+PrtSc
> ** ubuntu-bug
> ** Nautilus
> ** LibreOffice Calc (spreadsheet text contents)
> ** Firefox
> * Unity dash is not affected.
> * Skype is not affected.
> * Mousing over a button in a dialog correctly shows the text.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: unity 7.4.0+16.04.20160415-0ubuntu1
> ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
> Uname: Linux 4.4.0-21-generic x86_64
> .tmp.unity_support_test.0:
>
> ApportVersion: 2.20.1-0ubuntu2
> Architecture: amd64
> BootLog:
>
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,gnomecompat,imgpng,place,move,resize,vpswitch,snap,regex,grid,mousepoll,unitymtgrabhandles,animation,session,wall,workarounds,expo,fade,ezoom,scale,unityshell]
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> CurrentDesktop: Unity
> Date: Sat Apr 23 12:04:57 2016
> DistUpgraded: 2016-04-22 09:22:44,147 DEBUG icon theme changed,
> re-reading
> DistroCodename: xenial
> DistroVariant: ubuntu
> EcryptfsInUse: Yes
> GraphicsCard:
> Intel Corporation Haswell-ULT Integrated Graphics Controller
> [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: COMPAL Electronics Inc Haswell-ULT ...

Read more...

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
Ibrahim Awwal (ibrahim-awwal) wrote :

Ah, interesting, I'll try that. Apparently Debian recommends using the modesetting driver too. https://packages.debian.org/sid/x11/xserver-xorg-video-intel

Nathan Allen (nathanallen) wrote :

I'm having a similar issue. I found that switching to a virtual terminal and back again fixes the missing text in my case (Ctrl+Alt+F1 then Ctrl+Alt+F7).

Same problem here on a Dell XPS 13. The following three proposed solutions did _not_ work:

* Switch from "rgb" (="subpixel"?) anti-aliasing to "grayscale".

* Uninstall xserver-xorg-video-intel to let the modesetting driver take over.

* Ctrl+Alt+F1 then Ctrl+Alt+F7 (btw, characters in virtual terminals Ctrl+Alt+F1 to F6 are gone as well).

What _does_ work is boot Ubuntu's 3.8.0-35-generic kernel rather than 4.2.0-36-generic or higher (don't have anything in between). But of course that's not satisfactory.

Correcting the above: my latest available kernel without this problem is 3.19.0-32-generic.

Vlad Dinulescu (vladd-47) wrote :

This still happens in Ubuntu 16.04, with kernel 4.4.0-34-generic #53-Ubuntu SMP Wed Jul 27 16:06:39 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux.
Also a proud owner of Dell XPS :)) (Dell XPS 12 9Q33)

PapiMigas (papimigas) wrote :

Hi

Me too. I have to solve it with logoff. VGA Intel driver maybe?
My laptop is a Dell latitude E5440

stevenruppert (d-steven-a) wrote :

Also getting this on a 1st gen thinkpad yoga:

$ uname -r
4.4.0-34-generic
$ lspci
...
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
...
$ dpkg -l | grep xserver-xorg-video-intel
ii xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1 amd64 X.Org X server -- Intel i8xx, i9xx display driver

To add to the confusion, logging in and out of X _does_ fix everything in X. The "real" terminals on F1-F6 are still invisible though.

Adam Smith (adam-disc0tech) wrote :

Getting this on a Dell XPS 13 also. Only noticed it after a resume from suspend.

pdknsk (pdknsk) wrote :

So far 3 people have posted their configuration, having the exact same CPU (or rather integrated GPU). With me that's 4.

$ lspci -nn
...
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09)

PS. I'm on Ubuntu 14.04, but -wily graphics stack.

Yura Pakhuchiy (yura-p) wrote :

I'm having same problem with:
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)

Adam Smith (adam-disc0tech) wrote :

I am using the same card and experiencing the issue with 16.04:

00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09)

Yuriy Vidineev (adeptg) wrote :

The same thing
Dell XPS13 9333 Developer edition

00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09)

4.4.0-34-generic

sunpho (fr-sanfilippo) wrote :

Me too

Dell LATITUDE E5440, Ubuntu 16.04

00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT
Integrated Graphics Controller [8086:0a16] (rev 0b)

4.4.9-040409-generic

Same here. Not on Dell

Sony VAIO VPC-EB19FD

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)

4.4.0-34-generic

Stefanos (sk) wrote :

After installing the recently updated xserver-xorg-video-intel that fixes https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1568604 , it got much worse. Now almost every unsuspend produces the missing text. Previously it happened every 10th unsuspend

00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
On Dell E6430
Xubuntu 16.04, 4.4.0-34-generic

Björn Bohman (spetz) wrote :

Same problem:

$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 3rd Gen Core processor DRAM Controller [8086:0154] (rev 09)
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
00:16.3 Serial controller [0700]: Intel Corporation 7 Series/C210 Series Chipset Family KT Controller [8086:1e3d] (rev 04)
00:19.0 Ethernet controller [0200]: Intel Corporation 82579LM Gigabit Network Connection [8086:1502] (rev 04)
00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4)
00:1c.1 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 [8086:1e12] (rev c4)
00:1c.2 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 [8086:1e14] (rev c4)
00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 [8086:1e26] (rev 04)
00:1f.0 ISA bridge [0601]: Intel Corporation QM77 Express Chipset LPC Controller [8086:1e55] (rev 04)
00:1f.2 SATA controller [0106]: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] [8086:1e03] (rev 04)
00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller [8086:1e22] (rev 04)
02:00.0 System peripheral [0880]: Ricoh Co Ltd PCIe SDXC/MMC Host Controller [1180:e823] (rev 07)
03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] [8086:0085] (rev 34)

Francisco Marzoa (fmmarzoa) wrote :

Me too

$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Haswell-ULT DRAM Controller [8086:0a04] (rev 09)
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09)
00:03.0 Audio device [0403]: Intel Corporation Haswell-ULT HD Audio Controller [8086:0a0c] (rev 09)
00:14.0 USB controller [0c03]: Intel Corporation 8 Series USB xHCI HC [8086:9c31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 8 Series HECI #0 [8086:9c3a] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 8 Series HD Audio Controller [8086:9c20] (rev 04)
00:1c.0 PCI bridge [0604]: Intel Corporation 8 Series PCI Express Root Port 1 [8086:9c10] (rev e4)
00:1c.2 PCI bridge [0604]: Intel Corporation 8 Series PCI Express Root Port 3 [8086:9c14] (rev e4)
00:1d.0 USB controller [0c03]: Intel Corporation 8 Series USB EHCI #1 [8086:9c26] (rev 04)
00:1f.0 ISA bridge [0601]: Intel Corporation 8 Series LPC Controller [8086:9c43] (rev 04)
00:1f.2 SATA controller [0106]: Intel Corporation 8 Series SATA Controller 1 [AHCI mode] [8086:9c03] (rev 04)
00:1f.3 SMBus [0c05]: Intel Corporation 8 Series SMBus Controller [8086:9c22] (rev 04)
02:00.0 Network controller [0280]: Intel Corporation Wireless 7260 [8086:08b1] (rev 6b)

Francisco Marzoa (fmmarzoa) wrote :

$ uname -a
Linux xps13 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:01:55 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

tags: added: suspend-resume
BrainFucker (retratserif) wrote :

4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016

00:00.0 Host bridge [0600]: Intel Corporation Atom Processor Z36xxx/Z37xxx Series SoC Transaction Register [8086:0f00] (rev 0e)
00:02.0 VGA compatible controller [0300]: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display [8086:0f31] (rev 0e)
00:13.0 SATA controller [0106]: Intel Corporation Atom Processor E3800 Series SATA AHCI Controller [8086:0f23] (rev 0e)
00:14.0 USB controller [0c03]: Intel Corporation Atom Processor Z36xxx/Z37xxx, Celeron N2000 Series USB xHCI [8086:0f35] (rev 0e)
00:1a.0 Encryption controller [1080]: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Trusted Execution Engine [8086:0f18] (rev 0e)
00:1b.0 Audio device [0403]: Intel Corporation Atom Processor Z36xxx/Z37xxx Series High Definition Audio Controller [8086:0f04] (rev 0e)
00:1c.0 PCI bridge [0604]: Intel Corporation Atom Processor E3800 Series PCI Express Root Port 1 [8086:0f48] (rev 0e)
00:1c.1 PCI bridge [0604]: Intel Corporation Atom Processor E3800 Series PCI Express Root Port 2 [8086:0f4a] (rev 0e)
00:1c.2 PCI bridge [0604]: Intel Corporation Atom Processor E3800 Series PCI Express Root Port 3 [8086:0f4c] (rev 0e)
00:1c.3 PCI bridge [0604]: Intel Corporation Atom Processor E3800 Series PCI Express Root Port 4 [8086:0f4e] (rev 0e)
00:1f.0 ISA bridge [0601]: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Power Control Unit [8086:0f1c] (rev 0e)
00:1f.3 SMBus [0c05]: Intel Corporation Atom Processor E3800 Series SMBus Controller [8086:0f12] (rev 0e)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5229 PCI Express Card Reader [10ec:5229] (rev 01)
03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 10)
04:00.0 Network controller [0280]: Broadcom Corporation BCM43142 802.11b/g/n [14e4:4365] (rev 01)

BrainFucker (retratserif) wrote :

My hardware:

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
$ uname -a
Linux pine 4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

... on this Dell XPS 13: https://en.wikipedia.org/wiki/Dell_XPS#XPS_13_.28L322X.2C_Early_2013.29

Uninstalling xserver-xorg-video-intel leads to X crashes after suspend, occurring at a similar rate as otherwise this "character loss" but. Obviously, that's no improvement.

draco (draco31-fr) wrote :

Similar bug for me too, with i915 driver but on HP Envy 6-1260sf (Core i5-337U) with Xubuntu.

In the list of affected applications, we can add Thunar, xfce4-panel and whisker (xfce menu).
Switching to VT-1 does NOT work for me, same for reloading xfwm4.
So Xubuntu desktop is unusable when the bug happens, and it is very hard to save work in progress because all browsing dialog are also affected.
Loggout/loggin restore the font display, but all current unsaved documents are lost.

The bug is only present after some suspend/resume but not always.

Hardware description :

root@draco-ultrabook:~# lshw -sanitize -numeric -C display
  *-display
       description: VGA compatible controller
       produit: 3rd Gen Core processor Graphics Controller [8086:166]
       fabriquant: Intel Corporation [8086]
       identifiant matériel: 2
       information bus: pci@0000:00:02.0
       version: 09
       bits: 64 bits
       horloge: 33MHz
       fonctionnalités: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       ressources: irq:30 mémoire:c0000000-c03fffff mémoire:b0000000-bfffffff portE/S:3000(taille=64)

root@draco-ultrabook:~# lspci -vvnn -d 8086:0166
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Hewlett-Packard Company 3rd Gen Core processor Graphics Controller [103c:1896]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 30
 Region 0: Memory at c0000000 (64-bit, non-prefetchable) [size=4M]
 Region 2: Memory at b0000000 (64-bit, prefetchable) [size=256M]
 Region 4: I/O ports at 3000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
  Address: fee00018 Data: 0000
 Capabilities: [d0] Power Management version 2
  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [a4] PCI Advanced Features
  AFCap: TP+ FLR+
  AFCtrl: FLR-
  AFStatus: TP-
 Kernel driver in use: i915
 Kernel modules: i915

Same issue here on multiple dell latitudes E6540 laptops in company (using Ubuntu 14.04.5). And it does happen after resuming from a suspend. Almost every open application is affected with distorted/missing letters. Looks like http://askubuntu.com/questions/584922/how-do-i-fix-fonts-not-rendering-and-missing-letters (intel driver issue?). Only restarting lightdm (or logging out and in again), fixed the situation.

root@tom-laptop:/home/tdesloovere# lshw -sanitize -numeric -C display
  *-display
       description: VGA compatible controller
       product: 4th Gen Core Processor Integrated Graphics Controller [8086:416]
       vendor: Intel Corporation [8086]
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 06
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:33 memory:f5800000-f5bfffff memory:d0000000-dfffffff ioport:f000(size=64)

root@tom-laptop:/home/tdesloovere# lspci -vvnn -d 8086:416
00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:05be]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 33
 Region 0: Memory at f5800000 (64-bit, non-prefetchable) [size=4M]
 Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
 Region 4: I/O ports at f000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
  Address: fee00018 Data: 0000
 Capabilities: [d0] Power Management version 2
  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [a4] PCI Advanced Features
  AFCap: TP+ FLR+
  AFCtrl: FLR-
  AFStatus: TP-
 Kernel driver in use: i915
root@tom-laptop:/home/tdesloovere# dpkg -l | grep xserver-xorg-video-intel-lts-xenial
ii xserver-xorg-video-intel-lts-xenial 2:2.99.917+git20160325-1ubuntu1~trusty1 amd64 X.Org X server -- Intel i8xx, i9xx display driver

Luke Dixon (dixonl90) wrote :

I'm having the same issue.

luke@luke-HP-Spectre-Ultrabook-PC ~> lshw -sanitize -numeric -C display
WARNING: you should run this program as super-user.
  *-display
       description: VGA compatible controller
       product: 3rd Gen Core processor Graphics Controller [8086:166]
       vendor: Intel Corporation [8086]
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:29 memory:f6400000-f67fffff memory:e0000000-efffffff ioport:f000(size=64)
WARNING: output may be incomplete or inaccurate, you should run this program as super-user.
luke@luke-HP-Spectre-Ultrabook-PC ~> lspci -vvnn -d 8086:0166
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
 DeviceName: Intel(R) Graphics Media Accelerator HD
 Subsystem: Hewlett-Packard Company 3rd Gen Core processor Graphics Controller [103c:1893]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 29
 Region 0: Memory at f6400000 (64-bit, non-prefetchable) [size=4M]
 Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
 Region 4: I/O ports at f000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

Eveline (andromeda-nevel) wrote :

Same issue here, sometimes resume after suspend is fine but once every 5-10 times it results in missing text. Logging off and on helps, restarting too. I'm on a HP Elitebook 850.

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b)

$ uname -a
Linux evelinev-HP-EliteBook-850-G1 4.4.0-42-generic #62-Ubuntu SMP Fri Oct 7 23:11:45 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

The same issue.

Dell latitude E6440, ubuntu-gnome 16.04

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06)

$ uname -a
Linux pcname 4.4.0-45-generic #66-Ubuntu SMP Wed Oct 19 14:12:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

$ cat /usr/share/gnome/gnome-version.xml
<?xml version="1.0" encoding="UTF-8"?>
<gnome-version>
 <platform>3</platform>
 <minor>18</minor>
 <micro>2</micro>
 <distributor>Ubuntu</distributor>
</gnome-version>

Lukas Raska (lukasraska) wrote :

Same issue here, Lenovo ThinkPad T440s, once per every dozen suspends.

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b)

$ uname -a
Linux laptop 4.4.0-45-generic #66-Ubuntu SMP Wed Oct 19 14:12:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

PeterPall (peterpall) wrote :

Just use a recent kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D and you are set.

Kwang Moo Yi (kwang-m-yi) wrote :

It happened again for me as well. Macbook Pro mid/late 2013.
I personally don't think the mainline kernel is a valid option, since it defeats the purpose of a LTS release.

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Crystal Well Integrated Graphics Controller [8086:0d26] (rev 08)

$ uname -a
Linux <hostname> 4.4.0-47-generic #68-Ubuntu SMP Wed Oct 26 19:39:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

Vlad Dinulescu (vladd-47) wrote :

Hello,

I'm affected as well - Dell XPS 12, Ubuntu 16.04

Linux vlad-laptop 4.4.0-47-generic #68-Ubuntu SMP Wed Oct 26 19:39:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

LSB Version: core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

@Peterpall: what kernel version do you say that I should try?

Hello

I at least have a very similar problem; so close I think it is the (therefore this comment).

I have the latest and greatest of Ubuntu (Gnome) 16.04.1 LTS. (It is an upgrade from 14.04 LTS, but I do not know if this has any effect here). The problem started, for me, this month or late October.

> uname -s -r -v -m -p -i -o
Linux 4.4.0-47-generic #68-Ubuntu SMP Wed Oct 26 19:39:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

All letters have "disappeared" (ie were not visible anymore) from the affected programs, but not all are affected.
In the gnome-terminal it is possible to select the text and where the mouse pointer hovers while selecting you will be able to read the text, but it disappears on next redraw.

Some NOT AFFECTED programs (except menus etc):
- Firefox (so I was able to do this)
- Chromium
- Ubuntu Help
- xterm
- dash (the ubuntu menu)
- google calendar (web-app)
- (The document part of Libre Office Writer)

Some AFFECTED programs:
- Nautilus
- The desktop
- Remmina
- gnome-terminal
- Thunderbird
- ubuntu-software
- (All menus and toolbars etc of Libre Office Writer)
- All except the document part of the document viewer
- eclipse (eclipse-cpp-luna-SR2-linux-gtk-x86_64)
- skype (only the system-bar(?) (uppermost bar))
- dropbox (except the settings dialog box)
- alarm-clock-applet
- gedit (except the document area)

(It seems document areas are generally not affected, that excepts the buffer, or "document area", of gnome-terminal)

The ctrl+alt+F[1-6] ttys seems to have stopped or not started after printing the following text:
--- start of text ---
  lvmetad is not active yet, using direct activation during sysinit
/ev/mapper/ubuntu--vg-root: clean, aaaaaaa/bbbbbbbb files, cccccccc/ddddddddd blocks
_
--- end of text ---
note: the '_' seems more to be like a cursor than an (overwrite) underscore, but it is not blinking. (the 'a's, 'b's, 'c's, and 'd's are numbers. The number of digits are shown by the number of letters.)

Ian Dunlop (ianwdunlop) wrote :

I have the same problem on a DELL XPS-13. Only started recently after an update to 16.04 but I'm not sure which kernel was the cause. Doesn't seem to happen every time but is very annoying when it does.

uname -r: 4.4.0-47-generic
lspci -nn:
00:00.0 Host bridge [0600]: Intel Corporation Haswell-ULT DRAM Controller [8086:0a04] (rev 09)
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a26] (rev 09)
00:03.0 Audio device [0403]: Intel Corporation Haswell-ULT HD Audio Controller [8086:0a0c] (rev 09)
00:14.0 USB controller [0c03]: Intel Corporation 8 Series USB xHCI HC [8086:9c31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 8 Series HECI #0 [8086:9c3a] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 8 Series HD Audio Controller [8086:9c20] (rev 04)
00:1c.0 PCI bridge [0604]: Intel Corporation 8 Series PCI Express Root Port 1 [8086:9c10] (rev e4)
00:1c.2 PCI bridge [0604]: Intel Corporation 8 Series PCI Express Root Port 3 [8086:9c14] (rev e4)
00:1d.0 USB controller [0c03]: Intel Corporation 8 Series USB EHCI #1 [8086:9c26] (rev 04)
00:1f.0 ISA bridge [0601]: Intel Corporation 8 Series LPC Controller [8086:9c43] (rev 04)
00:1f.2 SATA controller [0106]: Intel Corporation 8 Series SATA Controller 1 [AHCI mode] [8086:9c03] (rev 04)
00:1f.3 SMBus [0c05]: Intel Corporation 8 Series SMBus Controller [8086:9c22] (rev 04)
02:00.0 Network controller [0280]: Intel Corporation Wireless 7260 [8086:08b1] (rev 6b)

For me the problem disappeared since I upgraded to the mainline kernel 4.8.9-040809-generic (my random pick) from here

http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D

as suggested by PeterPall above. Ubuntu runs like a charm, I only had to update my VirtulBox to the 5.1 series.

ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: XFCE
DistUpgraded: Fresh install
DistroCodename: xenial
DistroRelease: Ubuntu 16.04
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 5.0.24, 4.4.0-45-generic, x86_64: installed
 virtualbox, 5.0.24, 4.4.0-47-generic, x86_64: installed
 virtualbox, 5.0.24, 4.4.0-51-generic, x86_64: installed
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company 3rd Gen Core processor Graphics Controller [103c:1896]
InstallationDate: Installed on 2016-05-23 (201 days ago)
InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
MachineType: Hewlett-Packard HP ENVY Sleekbook 6
Package: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1.1
PackageArchitecture: amd64
PlymouthDebug: Error: [Errno 13] Permission non accordée: u'/var/log/plymouth-debug.log'
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-51-generic.efi.signed root=UUID=f43ab3cd-cea5-481d-99fd-704a39cc1766 ro drm.debug=0xe quiet resume=UUID=2717896c-acfa-4847-8e58-f4d2a14a4bdc splash
ProcVersionSignature: Ubuntu 4.4.0-51.72-generic 4.4.30
Tags: xenial ubuntu
Uname: Linux 4.4.0-51-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin mythtv plugdev sambashare sudo users
_MarkForUpload: True
dmi.bios.date: 05/16/2014
dmi.bios.vendor: Insyde
dmi.bios.version: F.25
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 1896
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 72.66
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.25:bd05/16/2014:svnHewlett-Packard:pnHPENVYSleekbook6:pvr0886120000305A00000320100:rvnHewlett-Packard:rn1896:rvr72.66:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP ENVY Sleekbook 6
dmi.product.version: 0886120000305A00000320100
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2.2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2.2
version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

draco (draco31-fr) wrote : Lspci.txt

apport information

draco (draco31-fr) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

draco (draco31-fr) wrote :

I've just encounter the bug since I add 'drm.debug=0xe' on the boot command line.
I hope logs could help, it was hard to launch apport-collect because it is impacted too :-(

Vlad Dinulescu (vladd-47) wrote :

Hello,

I can confirm that the bug disappears after switching to a newer kernel than Ubuntu's 16.04 main one. 4.8.10-040810-generic did the trick.

PeterPall (peterpall) wrote :

4.8 works fine for me, too. All release candidates of 4.9 caused regular system freezes instead. Didn't test the final version of 4.9, though.

PeterPall (peterpall) wrote :

Tested the final 4.9 kernel. If "sync to vblank" is active in ccsm it freezes the system at high cpu loads. ...but for all other settings 4.9 seems to be fine, too.

So it could be possible to identify the patch/commit on 4.8 that fixes the
bug ?

If it is, maybe a fixed kernel for 16.04 LTS could be released in main
repository ?

This should be a proper solution than to switch on kernel-ppa which will
never be upgraded by APT (too new) and leaves the user without any security
fixes !

Does anyone known how to reproduce the bug at every suspend ?
I could test different kernel, if I could be sure on how to get the bug.

Le 13 déc. 2016 14:32, "PeterPall" <email address hidden> a écrit :

Tested the final 4.9 kernel. If "sync to vblank" is active in ccsm it
freezes the system at high cpu loads. ...but for all other settings 4.9
seems to be fine, too.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1573959

Title:
  On-screen text disappears after suspend

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-
video-intel/+bug/1573959/+subscriptions

PeterPall (peterpall) wrote :

That would be how fixing bugs for ubuntu is supposed to work:

 - you find a way to reproduce the bug
 - Even if you only know that the bug was fixed within the last 256 commits to the kernel's git repository git bisect will let you test only 8 versions of the source code - and after you testing them it is already able to tell which commit was the right one
 - git format-patch generates a patch
 - you forward the patch to the packager
 - and all is set.

The only thing missing until now is the 1st step: Finding a way to reliably reproduce the bug.

paulgreg (paul-gregory) wrote :

I’m too affected by that bug (some characters missing after 1 of 10 wakeup) since I’ve upgraded to Ubuntu 16.04 (didn’t had that bug on Ubuntu 14.04).

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b)

Leon Rozanov (schekn) wrote :

me too
$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 7 Series/C210 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a4)
00:1f.0 ISA bridge: Intel Corporation Q77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series/C210 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)

Kieran Bingham (kieranbingham) wrote :

Adding my 'Me Too' to get updates:

lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06)

As reported above, it's usually about 1 in 10 or so (or less) suspend-resume cycles. I hate to log out/reboot and lose my work state, so this is really frustrating.

I can participate in some bug-test kernel cycles.

Perhaps we don't know which commit in 4.8 resolves, but if we have enough people - we can do a wide-spread 'bisect' by tasking multiple people to test particular versions, and see if the issue arises over a period of a couple of weeks or such.

Count me in too:

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a2e] (rev 09)

Alvaro Uría (aluria) wrote :

This happens to me on 14.04 using linux-generic-lts-xenial.

$ lspci -nn | egrep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06)

$ uname -a
Linux hostname 4.4.0-59-generic #80~14.04.1-Ubuntu SMP Fri Jan 6 18:02:02 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Issue is not consistent, every time I suspend and resume, but happens every week. Logging out from X session and back in solves the issue.

I'm using Ubuntu 16.04 LTS

$ lspci -nn | egrep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09)

$ uname -a
Linux hostname 4.4.0-59-generic #80-Ubuntu SMP Fri Jan 6 17:47:47 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

This is the first time it happens to me. I just logged out from X session and back again as @Alvaro Uría and it solves the problem.

I'm using Ubuntu 16.04 LTS, having same problem.

$ lspci -nn | egrep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GF114M [GeForce GTX 675M] [10de:1212] (rev a1)

$ uname -a
Linux pushkin-M17xR4 4.4.0-59-generic #80-Ubuntu SMP Fri Jan 6 17:47:47 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Collin Peters (collin-peters) wrote :

Plus 1

$ lspci -nn | egrep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Crystal Well Integrated Graphics Controller [8086:0d26] (rev 08)

$ uname -a
Linux aria 4.4.0-21-generic #37-Ubuntu SMP Mon Apr 18 18:33:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Abbass (amarouni) wrote :

lspci -nn | egrep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06)
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Mars XTX [Radeon HD 8790M] [1002:6606] (rev ff)

uname -a
Linux 4.4.0-59-generic #80-Ubuntu SMP Fri Jan 6 17:47:47 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Vlad Dinulescu (vladd-47) wrote :

Guys, as it was said above, the bug is fixed in linux kernel 4.8.

Hello,

I can confirm that the bug disappears after switching to a newer kernel than Ubuntu's 16.04 main one. 4.8.10-040810-generic did the trick.

Ondra Žižka (spam-trash) wrote :

Vlad, thanks.
New features in 17.04:
...
Linux kernel 4.9

phil (fongpwf) wrote :

I see this on my ThinkPad x230. I think it also triggers sometimes with docking/undocking. I did not have this issue on 14.04.

lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)

Enno Gröper (groepeen) wrote :

Kernel 4.8, which is supposed to fix the problem, may now simply be installed by:

sudo apt install linux-generic-hwe-16.04

Because it is now available through the official hardware enablement stack.

Just installed it. Will see if the problem occurs again.

Mauricio Matamoros (kyordhel) wrote :

Just for the record

My Dell Latitude E7440 (Intel graphics card only) experiences the same problem with Xubuntu 16.04 Xenial Xerus (issue was not present in Xubuntu 12.04, and I didn't tried intermediate versions) I tried several workarounds but none seems to work this far.

I updated to Kernell 4.8.0-29-generic with

# apt-get install linux-image-4.8.0-29-generic

That was the latest update available in the repo at the date. It installed successfully. After reboot the Xorg process was using >80% CPU and the computer was even more sluggish than a Windows Vista running in an Intel 80386 (5 seconds delay for a typed char to appear on screen in console).

There is no need to be an Ubuntu expert to conclude that just updating the Kernel is not enough to solve the problem. Maybe I'm missing some extra configuration or also the X-Server/lightdm daemon must be updated accordingly. Also I'm differentiating Xubuntu from legacy Ubuntu because it affects Xfce and Unity.

Cheers!

Dave Long (longwave) wrote :

I was affected by this issue in 16.04 with kernel 4.4 but it seems to have gone away since upgrading to 4.8; it's hard to tell because it is apparently impossible to reproduce on demand, and only happened maybe 1 in 10 times for me after resuming from suspend.

@kyordhel: I am not sure that specific package is enough to fully install kernel 4.8; you should try installing the linux-generic-hwe-16.04 package which will give you the latest 4.8 kernel plus all necessary dependencies - for example if you did not install linux-image-extra-4.8.0-29-generic you may well be missing some modules that are required for decent desktop performance.

Alvaro Uría (aluria) wrote :

It's been 2 weeks since I upgraded from 14.04 kernel 4.4 to 16.04 kernel 4.8 and I haven't had this issue again (which it happened at least once a week).

Mauricio Matamoros (kyordhel) wrote :

@longwave Thanks for the tip, as non-linux expert there is yet much
to learn. Il try installing

    linux-generic-hwe-16.04

and hopefully it will never ever happen again. My question would be
why the 4.X|X>4 Kernel is not part of a regular update for 16.04, but
thats maybe out of the scope of this discussion.

Cheers!

Ian (imyxhuang) wrote :

For some reason I had a similar problem but when I switched my antialiasing from grayscale to rgba (through unity-tweak-tool) it was fixed. Downside is I have a low-res monitor so text looks slightly colored.

iGadget (igadget) on 2017-03-09
description: updated
description: updated
樊金龙 (brickspert) on 2017-03-09
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed

I've encountered this multiple times on my System76 Galago UltraPro, Ubuntu 16.04, kernel 4.4.0-72-generic.

It's been 50 days since I upgraded from 16.04 kernel 4.4 to LTS Enablement Stack kernel 4.8 and I haven't had this issue again.

https://wiki.ubuntu.com/Kernel/LTSEnablementStack#Ubuntu_16.04_LTS_-_Xenial_Xerus

$ lspci -nn | egrep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06)

$ uname -a
Linux USER-PC 4.8.0-46-generic #49~16.04.1-Ubuntu SMP Fri Mar 31 14:51:03 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

ozma (ozma) wrote :

hw: lenovo x201 laptop
software: ubuntu 16.04 x86_64

:~$ uname -a
Linux oms 4.8.0-51-generic #54~16.04.1-Ubuntu SMP Wed Apr 26 16:00:28 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
:~$ lspci -nn | egrep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)

kernel was 16.04 kernel 4.4 and replaced by the workaround
- workaround worked:
sudo apt install linux-generic-hwe-16.04

Lenovo Thinkpad T430 affected

$ lsb_release -r
Release: 16.04

$ uname -r
4.4.0-93-generic

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)

iGadget (igadget) wrote :

Nils, please upgrade your kernel as per the bug description:

WORKAROUND / 'FIX' (added on March 9, 2017)
Several people have mentioned upgrading to kernel 4.8 or higher solves the issue. As per #81, you can easily install kernel 4.8 (if you're on Ubuntu 16.04, that is) by running

sudo apt install linux-generic-hwe-16.04

If you are still experiencing this issue after upgrading to kernel 4.8, please report back.

Mark O'Donovan (shiftee) wrote :

For me updating to the 4.8 kernel fixed this issue but gave me another suspend related issue which I reported here:
https://bugs.launchpad.net/ubuntu/+source/linux-hwe/+bug/1699436

I eventually gave up on it and switched to using hibernate.
sudo pm-hibernate
or
sudo pm-suspend-hybrid

If these work for you there are instructions online for removing suspend from the GUI menu and adding hibernate.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.